Please help me with an Import error I get when running code in Pycharm

已回答

OS = Ubuntu 18.04

PyCharm version 2022.3.3

When I run code in a virtual environment in PyCharm, I get this error message:Traceback (most recent call last):
  File "/home/sam/Documents/Python3.9_Projects/Projects/ScratchPyQt5/tabbedWidgetMain25.py", line 9, in <module>
    from PyQt5 import QtWidgets, QtCore, QtGui, QtMultimedia
ImportError: /usr/lib/x86_64-linux-gnu/libgssapi_krb5.so.2: symbol krb5_ser_context_init version krb5_3_MIT not defined in file libkrb5.so.3 with link time reference

I have no clue how to approach fixing this except that the problem may be located outside my venv. Can anyone guide me to a solution?

0

SQ:  The solution was to remove instances of pyqt from the anaconda environment by doing ‘conda list pyqt’. Apparently, they were interfering with system access by PyCharm venv dependencies.

0

请先登录再写评论。